﻿namespace EDJournal {
    public class MissionRedirectedEntry : Entry {
        private int missionid = 0;
        private string name = null;
        private string newdestinationstation = null;
        private string newdestinationsystem = null;
        private string olddestinationsystem = null;

        public int MissionID => missionid;
        public string Name => name;
        public string NewDestinationStation => newdestinationstation;
        public string NewDestinationSystem => newdestinationsystem;
        public string OldDestinationSystem => olddestinationsystem;

        protected override void Initialise() {
            missionid = JSON.Value<int?>("MissionID") ?? 0;
            name = JSON.Value<string>("Name") ?? "";
            newdestinationstation = JSON.Value<string>("NewDestinationStation") ?? "";
            newdestinationsystem = JSON.Value<string>("NewDestinationSystem") ?? "";
            olddestinationsystem = JSON.Value<string>("OldDestinationSystem") ?? "";
        }
    }
}
